Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::ImageStream Class Reference

Image Stream class. More...

Inheritance diagram for osg::ImageStream:

[legend]
List of all members.

## Public Types
enum | StreamStatus { INVALID, PLAYING, PAUSED, REWINDING }
enum | LoopingMode { NO_LOOPING, LOOPING }
## Public Member Functions
| ImageStream ()
| ImageStream (const ImageStream &image, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
virtual Object * | cloneType () const
| Clone the type of an object, with Object* return type.
virtual Object * | clone (const CopyOp &copyop) const
| Clone an object, with Object* return type.
virtual bool | isSameKindAs (const Object *obj) const
virtual const char * | libraryName () const
| return the name of the object's library.
virtual const char * | className () const
| return the name of the object's class type.
virtual int | compare (const Image &rhs) const
| Return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.
virtual void | play ()
virtual void | pause ()
virtual void | rewind ()
virtual void | quit (bool=true)
StreamStatus | getStatus ()
void | setLoopingMode (LoopingMode mode)
LoopingMode | getLoopingMode () const
virtual void | setReferenceTime (double)
virtual double | getReferenceTime () const
virtual void | setTimeMultiplier (double)
virtual double | getTimeMultiplier ()
virtual void | update ()
## Protected Member Functions
virtual | ~ImageStream ()
## Protected Attributes
StreamStatus | _status
LoopingMode | _loopingMode

## Detailed Description

Image Stream class.

## Member Enumeration Documentation

enum osg::ImageStream::LoopingMode

  | Enumeration values:
  NO_LOOPING |
  LOOPING |

enum osg::ImageStream::StreamStatus

  | Enumeration values:
  INVALID |
  PLAYING |
  PAUSED |
  REWINDING |

## Constructor & Destructor Documentation

osg::ImageStream::ImageStream | ( |  | ) |

osg::ImageStream::ImageStream | ( | const ImageStream & | image,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) |

| Copy constructor using CopyOp to manage deep vs shallow copy.

virtual osg::ImageStream::~ImageStream | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual const char* osg::ImageStream::className | ( |  | ) | const`[inline, virtual]`

| return the name of the object's class type. Must be defined by derived classes. Reimplemented from osg::Image.

virtual Object* osg::ImageStream::clone | ( | const CopyOp & | copyop | ) | const`[inline, virtual]`

| Clone an object, with Object* return type. Must be defined by derived classes. Reimplemented from osg::Image.

virtual Object* osg::ImageStream::cloneType | ( |  | ) | const`[inline, virtual]`

| Clone the type of an object, with Object* return type. Must be defined by derived classes. Reimplemented from osg::Image.

virtual int osg::ImageStream::compare | ( | const Image & | rhs | ) | const`[virtual]`

| Return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs. Reimplemented from osg::Image.

LoopingMode osg::ImageStream::getLoopingMode | ( |  | ) | const`[inline]`

virtual double osg::ImageStream::getReferenceTime | ( |  | ) | const`[inline, virtual]`

StreamStatus osg::ImageStream::getStatus | ( |  | ) | `[inline]`

virtual double osg::ImageStream::getTimeMultiplier | ( |  | ) | `[inline, virtual]`

virtual bool osg::ImageStream::isSameKindAs | ( | const Object * | obj | ) | const`[inline, virtual]`

| Reimplemented from osg::Image.

virtual const char* osg::ImageStream::libraryName | ( |  | ) | const`[inline, virtual]`

| return the name of the object's library. Must be defined by derived classes. The OpenSceneGraph convention is that the namespace of a library is the same as the library name. Reimplemented from osg::Image.

virtual void osg::ImageStream::pause | ( |  | ) | `[inline, virtual]`

virtual void osg::ImageStream::play | ( |  | ) | `[inline, virtual]`

virtual void osg::ImageStream::quit | ( | bool | = true | ) | `[inline, virtual]`

virtual void osg::ImageStream::rewind | ( |  | ) | `[inline, virtual]`

void osg::ImageStream::setLoopingMode | ( | LoopingMode | mode | ) | `[inline]`

virtual void osg::ImageStream::setReferenceTime | ( | double |  | ) | `[inline, virtual]`

virtual void osg::ImageStream::setTimeMultiplier | ( | double |  | ) | `[inline, virtual]`

virtual void osg::ImageStream::update | ( |  | ) | `[inline, virtual]`

## Member Data Documentation

LoopingMode osg::ImageStream::_loopingMode`[protected]`

StreamStatus osg::ImageStream::_status`[protected]`

The documentation for this class was generated from the following file:

- ImageStream